local M = {}

local switch

local function init()
    switch = true
end

local function updateGFX()
    if switch and controller.getControllerSafe('roofOpen').getGroupState() == "detached" then
        controller.getControllerSafe("windowR").setValue(1)
        controller.getControllerSafe("windowL").setValue(1)
        switch = false
    elseif not switch and controller.getControllerSafe('roofOpen').getGroupState() == "attached" then
        controller.getControllerSafe("windowR").setValue(0)
        controller.getControllerSafe("windowL").setValue(0)
        switch = true
    end

    -- debug
    -- guihooks.message(controller.getControllerSafe('roofOpen').getGroupState(), 1)
end

M.init = init
M.reset = init
M.updateGFX = updateGFX

return M